
QGIS Application - Bug report #14751

'Offset Curve' tool - Strange behaviour of 'User Input Panel'

2016-05-01 05:25 AM - R. R.

Status: Closed

Priority: Normal

Assignee: Denis Rouzaud

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22708

Description

The delete icon (x) sets the offset to '-99999999,000000' and deleting the offset using the backspace key fails.

Associated revisions

Revision 70adf266 - 2016-05-02 04:03 AM - Nyall Dawson

Fix clear value for offset curve tool (fix #14751)

Revision e1d481fa - 2018-02-13 02:19 PM - Denis Rouzaud

various fixes to the offset map tool

code has been refactored, hopefully things are clearer now

fix #17367

fix #14751

History

#1 - 2016-05-01 07:04 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"70adf266db974d8754d6a82d311388bc0d363611".

#2 - 2016-05-07 11:42 AM - R. R.

- File offset_backspace_key_issue.mp4 added

Thanks Nyall, but wouldn't it be better to put the field name ('Offset:') out of the input field? Deleting the offset using the backspace key is still not working

as expected.

#3 - 2016-05-07 11:43 AM - R. R.

- Status changed from Closed to Reopened

#4 - 2016-05-23 01:02 PM - Giovanni Manghi

- Priority changed from High to Normal
#5 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2018-01-27 12:22 AM - Denis Rouzaud

- Assignee set to Denis Rouzaud

#7 - 2018-02-13 02:19 PM - Denis Rouzaud

- Status changed from Reopened to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|e1d481faa7ddc5dc84e0760a8371e5eaefb862d9.

#8 - 2018-02-22 11:38 AM - Giovanni Manghi

- Resolution set to fixed/implemented

Files

offset_curve.mp4 584 KB 2016-05-01 R. R.

offset_backspace_key_issue.mp4 1.16 MB 2016-05-07 R. R.
